PRODIGY(1)

NAME
prodigy - binding affinity predictor

DESCRIPTION
usage: prodigy [-h] [--distance-cutoff DISTANCE_CUTOFF]

    [--acc-threshold ACC_THRESHOLD] [--temperature TEMPERATURE] [--contact_list] [--pymol_selection] [-q] [-np NUMBER_OF_PROCESSORS] [--selection A B [A,B C ...]] input_path

Binding affinity predictor based on Intermolecular Contacts (ICs).

  positional arguments:

input_path
    Path to either: - Structure in PDB or mmCIF format - Directory containing structure files

  options:

-h, --help
    show this help message and exit

--distance-cutoff DISTANCE_CUTOFF
    Distance cutoff to calculate ICs

--acc-threshold ACC_THRESHOLD
    Accessibility threshold for BSA analysis

--temperature TEMPERATURE
    Temperature (C) for Kd prediction

--contact_list
    Output a list of contacts

--pymol_selection
    Output a script to highlight the interface (pymol)

-q, --quiet
    Outputs only the predicted affinity value

-np, --number-of-processors NUMBER_OF_PROCESSORS
    Number of processors to use (default: 1)

Selection Options:

    By default, all intermolecular contacts are taken into consideration, a molecule being defined as an isolated group of amino acids sharing a common chain identifier. In specific cases, for example antibody-antigen complexes, some chains should be considered as a single molecule.

    Use the --selection option to provide collections of chains that should be considered for the calculation. Separate by a space the chains that are to be considered _different_ molecules. Use commas to include multiple chains as part of a single group:

--selection A B => Contacts calculated (only) between chains A and B.

--selection A,B C => Contacts calculated (only) between
    chains A and C; and B and C.

--selection A B C => Contacts calculated (only) between
    chains A and B; B and C; and A and C.

--selection A B [A,B C ...]